php8 add-on with wamp 3.2.x
Posted by: nikdow (1.145.252.---)
Date: September 28, 2022 03:36AM

Using WAMP for years, was running a recent version 3.2.x < 3.2.6
Tried running the addon for PHP8.0
was instructed to upgrade to later version of wamp
ran upgrader to 3.2.9 (how can the "latest version" be 3.2.6 but there is an "upgrader" to 3.2.9???
ran PHP8.0 addon.
Nothing changed.
Ran check_vcredist got told to upgrade stuff
upgraded Microsoft stuff, reboot Windows, no upgrades are visible
re-run upgrades, get told PHP8 is already installed but (a) wamp is still showing 3.2.x < 6 and (b) php8 is not offered.
spent a couple of hours trying things, now have uninstalled WAMP.

If the problem was caused by running addons and updaters without first upgrading vcr then maybe the updaters and addons could check this first? No instruction is given about this and I have run updaters in the past with no issues.

Uninstalled WaMP and start again. Took backups of httpd.conf httpd-vhosts.conf php.ini my.ini and diffed these after the new install to get back my local settings.

Pulled source code from cloud, run composer, run npm, pull databases from cloud.
That was a day I'll never get back.

Options: ReplyQuote
Re: php8 add-on with wamp 3.2.x
Posted by: Otomatic (Moderator)
Date: September 28, 2022 09:39AM

> (how can the "latest version" be 3.2.6 but there is an "upgrader" to 3.2.9???
3.2.6 is the last full install version
3.2.9 is the last update
as you can see on https://wampserver.aviatechno.net/

Creating a full installer version with 8 PHP version branches, 2 MySQL branches, 4 MariaDB branches, applications that are constantly evolving is a lot of work and that's why there is only one full installer version per year. In the meantime, there are always new addons for Apache, PHP, MySQL, MariaDB, PhpMyAdmin, Adminer, PhpSysInfo, xDebug, etc. versions evolutions, as well as Wampserver updates which, as mentioned on the above mentioned page, only update Wampmanager.

> If the problem was caused by running addons and updaters without first upgrading vcr then maybe
> the updaters and addons could check this first? No instruction is given about this
What can you read - if you are not a crazy clicker - at the beginning of the installation of the PHP 8.0.x addon:

-------------------------------------------------------------------------------
This version is build with Visual Studio® 2022 (VS17)
Before to install this addon, be sure you have installed the Visual C++ Redistributable for Visual Studio 2015-2022. If not, running this version will cause system errors and it may even crash your system.
Download and install, if you not have it already, from:
⦁ Microsoft Visual C++ 2015-2022 Redistribuable (x64)
https://aka.ms/vs/17/release/VC_redist.x64.exe
⦁ Microsoft Visual C++ 2015-2019 Redistribuable (x86)
https://aka.ms/vs/17/release/VC_redist.x86.exe
If you have a 64-bit Windows, you must install both packages 32 and 64 bit versions, even if you do not use Wampserver 64 bit.
Note: Compatibility VS17 with VC14, VC15 and VC16
VS17 is backward compatible to VC16/15/14. That means, a VC16/15/14 module can be used inside a VS17 binary. Because this compatibility the version number of the C++ Redistributable is 14.3x.xx. And after install is the Redistributable VS16/15/14 updated from 14.0x.xx or 14.1x.xx or 14.2x.xx to VS2019 14.3x.xx , it is called Microsoft Visual C++ 2015-2022 Redistributable and you can still use VC16/15/14.
-------------------------------------------------------------------------------

However, in very rare cases, there may be a problem with the log files after installing updates or addons.
That's why, from now on, all updates and addons will reset all log files before being installed.

Nobody is perfect, we learn something new every day.

------------------------------------------------------------------------------------------------------------
Wampserver 3.3.0 32 bit - Apache 2.4.54.2 - PHP 8.2.0…5.6.40 - MySQL 5.7.39 - MariaDB 10.5.13/10.6.5
Wampserver 3.3.0 64 bit - Apache 2.4.54.2 - PHP 8.2.0…5.6.40 - MySQL 5.7.39/8.0.30 - MariaDB 10.5.17/10.9.2
PhPMyadmin 5.2.0 - MysqlDumper 1.24.5
on W10 and W7 Pro 64 bit
Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »

Options: ReplyQuote
Re: php8 add-on with wamp 3.2.x
Posted by: cpaschen (63.228.56.---)
Date: November 04, 2022 02:34AM

I have the same 'results' (PHP8 already installed, but doesn't appear as an option).
However, I ran all updates prior to installing without any errors.

Is there a way to check to see what the problem might be?

Options: ReplyQuote
Re: php8 add-on with wamp 3.2.x
Posted by: Otomatic (Moderator)
Date: November 04, 2022 09:11AM

Right-Click -> Restart from zero

------------------------------------------------------------------------------------------------------------
Wampserver 3.3.0 32 bit - Apache 2.4.54.2 - PHP 8.2.0…5.6.40 - MySQL 5.7.39 - MariaDB 10.5.13/10.6.5
Wampserver 3.3.0 64 bit - Apache 2.4.54.2 - PHP 8.2.0…5.6.40 - MySQL 5.7.39/8.0.30 - MariaDB 10.5.17/10.9.2
PhPMyadmin 5.2.0 - MysqlDumper 1.24.5
on W10 and W7 Pro 64 bit
Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »

Options: ReplyQuote


Sorry, only registered users may post in this forum.